<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.estate.mapper.ParkingAreaMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="parkingAreaResultMap" type="org.springblade.estate.entity.ParkingArea">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="name" property="name"/>
        <result column="parking_space_params" property="parkingSpaceParams"/>
        <result column="width" property="width"/>
        <result column="height" property="height"/>
        <result column="x" property="x"/>
        <result column="y" property="y"/>
        <result column="parking_lot_id" property="parkingLotId"/>
    </resultMap>


    <select id="selectParkingAreaPage" resultMap="parkingAreaResultMap">
        select * from estate_parking_area where is_deleted = 0
    </select>

</mapper>
